Bug 195409 - Set window.closed immediately when close() is invoked
Summary: Set window.closed immediately when close() is invoked
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL: https://html.spec.whatwg.org/#dom-win...
Keywords: InRadar
Depends on: 196379
Blocks: 195406
  Show dependency treegraph
 
Reported: 2019-03-07 07:48 PST by Anne van Kesteren
Modified: 2019-03-29 13:48 PDT (History)
9 users (show)

See Also:


Attachments
Patch (4.34 KB, patch)
2019-03-28 16:45 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (4.29 KB, patch)
2019-03-28 20:09 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-highsierra (2.46 MB, application/zip)
2019-03-28 21:13 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (2.70 MB, application/zip)
2019-03-28 21:27 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews114 for mac-highsierra (2.31 MB, application/zip)
2019-03-28 22:03 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.53 MB, application/zip)
2019-03-28 22:15 PDT, Build Bot
no flags Details
Patch (6.43 KB, patch)
2019-03-29 09:05 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Chris Dumez 2019-03-28 16:45:13 PDT
Created attachment 366222 [details]
Patch
Comment 2 Chris Dumez 2019-03-28 20:09:28 PDT
Created attachment 366237 [details]
Patch
Comment 3 Build Bot 2019-03-28 21:13:12 PDT
Comment on attachment 366237 [details]
Patch

Attachment 366237 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/11698318

New failing tests:
imported/w3c/web-platform-tests/html/browsers/the-window-object/self-et-al.window.html
Comment 4 Build Bot 2019-03-28 21:13:14 PDT
Created attachment 366242 [details]
Archive of layout-test-results from ews103 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 5 Build Bot 2019-03-28 21:27:38 PDT
Comment on attachment 366237 [details]
Patch

Attachment 366237 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11698350

New failing tests:
imported/w3c/web-platform-tests/html/browsers/the-window-object/self-et-al.window.html
Comment 6 Build Bot 2019-03-28 21:27:40 PDT
Created attachment 366244 [details]
Archive of layout-test-results from ews106 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 7 Build Bot 2019-03-28 22:03:16 PDT
Comment on attachment 366237 [details]
Patch

Attachment 366237 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/11698400

New failing tests:
imported/w3c/web-platform-tests/html/browsers/the-window-object/self-et-al.window.html
Comment 8 Build Bot 2019-03-28 22:03:18 PDT
Created attachment 366248 [details]
Archive of layout-test-results from ews114 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 9 Build Bot 2019-03-28 22:15:23 PDT
Comment on attachment 366237 [details]
Patch

Attachment 366237 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11698418

New failing tests:
imported/w3c/web-platform-tests/html/browsers/the-window-object/self-et-al.window.html
Comment 10 Build Bot 2019-03-28 22:15:25 PDT
Created attachment 366250 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 11 Chris Dumez 2019-03-29 09:05:03 PDT
Created attachment 366275 [details]
Patch
Comment 12 Chris Dumez 2019-03-29 13:47:04 PDT
Comment on attachment 366275 [details]
Patch

Clearing flags on attachment: 366275

Committed r243661: <https://trac.webkit.org/changeset/243661>
Comment 13 Chris Dumez 2019-03-29 13:47:05 PDT
All reviewed patches have been landed.  Closing bug.
Comment 14 Radar WebKit Bug Importer 2019-03-29 13:48:26 PDT
<rdar://problem/49433379>